aboutsummaryrefslogtreecommitdiffhomepage
path: root/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/eigen_monitor_perf.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/scripts/eigen_monitor_perf.sh b/scripts/eigen_monitor_perf.sh
index 39f8e7ecd..8f3425daf 100755
--- a/scripts/eigen_monitor_perf.sh
+++ b/scripts/eigen_monitor_perf.sh
@@ -12,9 +12,9 @@ export CXX_FLAGS="-mfma -w"
####
BENCH_PATH=$EIGEN_SOURCE_PATH/bench/perf_monitoring/$PREFIX
-PREVPATH=`pwd`
-cd $EIGEN_SOURCE_PATH/bench/perf_monitoring && ./runall.sh "Haswell 2.6GHz, FMA, Apple's clang" $*
-cd $PREVPATH
+PREVPATH=$(pwd)
+cd $EIGEN_SOURCE_PATH/bench/perf_monitoring && ./runall.sh "Haswell 2.6GHz, FMA, Apple's clang" "$@"
+cd $PREVPATH || exit 1
ALLFILES="$BENCH_PATH/*.png $BENCH_PATH/*.html $BENCH_PATH/index.html $BENCH_PATH/s1.js $BENCH_PATH/s2.js"